﻿using FileSplitter.Shared.Interfaces;

namespace FileSplitter.Shared.Classes;

/// <summary>
/// Информация о разбиении
/// </summary>
public class FileSplitInfo
{
    /// <summary>
    /// Версия программы, необходимая для сборки файла
    /// </summary>
    public string? FileSplitterVersion { get; set; }

    /// <summary>
    /// Информация о собираемом файле
    /// </summary>
    public ITargetFileInfo? TargetFile { get; set; }

    /// <summary>
    /// Информация о частях файла
    /// </summary>
    public List<ISplitFile>? SplitFiles { get; set; }
}